using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FPJ0000
{
    public partial class fHistAdd : fBase
    {
        dsPRJ.ProjectsHistoryRow dr = null;
        public fHistAdd(dsPRJ.ProjectsHistoryRow dr_)
        {
            InitializeComponent();
            this.dr = dr_;
            this.KeyDown += fHistAdd_KeyDown;
        }

        void fHistAdd_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape) this.Close();
        }

        private void fHistAdd_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            this.tbRemark.Text = this.dr.remark;
            this.mcDate.SetDate(DateTime.Parse( dr.pdate));
        }

        private void btOK_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.dr.remark = tbRemark.Text.Trim();
            this.dr.pdate = mcDate.SelectionStart.ToString("yyyy-MM-dd");
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
